gnutls_x509_crt_set_subject_unique_id(3)

NAME
gnutls_x509_crt_set_subject_unique_id - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_subject_unique_id(gnutls_x509_crt_t cert, const void * id, size_t id_size);

ARGUMENTS

gnutls_x509_crt_t cert
    a certificate of type gnutls_x509_crt_t

const void * id
    The unique ID

size_t id_size
    Holds the size of the unique ID.

DESCRIPTION
This function will set the X.509 certificate's subject unique ID field.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/